<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFramemeta extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
	    $this->down();

        Schema::create('framemeta', function (Blueprint $table) {
	        $table->integer('frame_id')->index();
	        $table->string('r0')->default('*');
	        $table->string('r1')->default('*');
	        $table->string('r2')->default('*');
	        $table->string('r3')->default('*');
	        $table->string('r4')->default('*');
	        $table->string('r5')->default('*');
	        $table->string('r6')->default('*');
	        $table->string('r7')->default('*');
	        $table->string('r8')->default('*');
	        $table->string('r9')->default('*');

        });

        Schema::table('framemeta', function (Blueprint $table) {
			$table->foreign('frame_id')->references('id')->on('frames');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('framemeta');
    }
}